%global namedreltag -alpha-4
%global namedversion %{version}%{?namedreltag}

Name:          jra
Version:       1.0
Release:       0.2.alpha4%{?dist}
Summary:       Java REST Annotations
License:       ASL 2.0
Group:         Development/Libraries
URL:           http://jra.codehaus.org/

# svn export https://svn.codehaus.org/jra/branches/jra-1.0-alpha-4/ jra-1.0-alpha-4
# tar cafJ jra-1.0-alpha-4.tar.xz jra-1.0-alpha-4

Source0:       %{name}-%{namedversion}.tar.xz

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

Requires:      java
Requires:      jpackage-utils

%description
The Java REST annotations are annotations to help service creators build REST
style services. Frameworks which wish to support REST can reuse these
annotations just like the JSR181 & JAX-WS annotations are used across
implementations. However, the idea with JRA is that many different frameworks
(web, XML/SOAP, etc) may want to expose REST style services.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Documentation
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild \
  -Dproject.build.sourceEncoding=UTF-8 \
  package javadoc:aggregate

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}

# jar
install -pm 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmap
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc src/main/resources/META-INF/LICENSE

%files javadoc
%{_javadocdir}/%{name}
%doc src/main/resources/META-INF/LICENSE

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.2.alpha4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 28 2012 Patryk Obara <pobara@redhat.com> 1.0-0.1.alpha4
- Initial packaging

